ResourceTracker.RequestMethods (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.cache.ResourceTracker.RequestMethods class
Date: 2021-03-21

net.sourceforge.jnlp.cache

## Enum ResourceTracker.RequestMethods

- java.lang.Object
- - java.lang.Enum<ResourceTracker.RequestMethods>
  - - net.sourceforge.jnlp.cache.ResourceTracker.RequestMethods

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResourceTracker.RequestMethods>
  Enclosing class:
    ResourceTracker

      public static enum ResourceTracker.RequestMethods
      extends java.lang.Enum<ResourceTracker.RequestMethods>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET`
    `HEAD`
    `TESTING_UNDEF`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceTracker.RequestMethods[]` | `getValidRequestMethods()`
    `static ResourceTracker.RequestMethods` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResourceTracker.RequestMethods[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HEAD

          public static final ResourceTracker.RequestMethods HEAD

    - #### GET

          public static final ResourceTracker.RequestMethods GET

    - #### TESTING_UNDEF

          public static final ResourceTracker.RequestMethods TESTING_UNDEF

  - ### Method Detail

    - #### values

          public static ResourceTracker.RequestMethods[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceTracker.RequestMethods c : ResourceTracker.RequestMethods.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceTracker.RequestMethods valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValidRequestMethods

          public static ResourceTracker.RequestMethods[] getValidRequestMethods()

Submit a bug or feature